DNSLabel
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSLabel

- java.lang.Object
- - java.lang.Enum<DNSLabel>
  - - javax.jmdns.impl.constants.DNSLabel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSLabel>

      public enum DNSLabel
      extends java.lang.Enum<DNSLabel>

  DNS label.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Compressed` Compressed label [RFC 1035]
    `Extended` Extended label [RFC 2671]
    `Standard` Standard label [RFC 1035]
    `Unknown` This is unallocated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `static DNSLabel` | `labelForByte(int index)`
    `static int` | `labelValue(int index)`
    `java.lang.String` | `toString()`
    `static DNSLabel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSLabel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DNSLabel Unknown

      This is unallocated.

    - #### Standard

          public static final DNSLabel Standard

      Standard label [RFC 1035]

    - #### Compressed

          public static final DNSLabel Compressed

      Compressed label [RFC 1035]

    - #### Extended

          public static final DNSLabel Extended

      Extended label [RFC 2671]

  - ### Method Detail

    - #### values

          public static DNSLabel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSLabel c : DNSLabel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSLabel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### labelForByte

          public static DNSLabel labelForByte(int index)

      Parameters:
        `index` -
      Returns:
        label

    - #### labelValue

          public static int labelValue(int index)

      Parameters:
        `index` -
      Returns:
        masked value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSLabel>`